﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WpfApp21Point.Classes;
using WpfApp21Point.Models;

namespace WpfApp21Point
{
    /// <summary>
    /// Логика взаимодействия для AothWindow.xaml
    /// </summary>
    public partial class AuthWindow : Window
    {
        public AuthWindow(string text)
        {
            InitializeComponent();
            EnterButton.Content = text;
        }

        private void EnterButton_Click(object sender, RoutedEventArgs e)
        {
            if (EnterButton.Content.ToString() == "Создать")
            {
                if (GlobalData.DbConnect.Users.FirstOrDefault(x => x.UserName == UserName_TextBox.Text) == null)
                {
                    User user = new User();
                    user.UserName = UserName_TextBox.Text;
                    user.UserCode = UserCode_TextBox.Password;
                    try
                    {
                        GlobalData.DbConnect.Users.Add(user);
                        GlobalData.DbConnect.SaveChanges();
                        GlobalData.User = GlobalData.DbConnect.Users.First(x => x.UserName == user.UserName);
                        this.Close();
                    }
                    catch(Exception ex)
                    {
                        MessageBox.Show(ex.Message);
                    }
                }
                else
                {
                    MessageBox.Show("Пользователь с таким именем уже существует. Придумайте другое имя.");
                }
            }
            else if (EnterButton.Content.ToString() == "Войти")
            {
                User? user = GlobalData.DbConnect.Users
                    .Include(u => u.GameParties)
                    .FirstOrDefault(x => x.UserName == UserName_TextBox.Text && x.UserCode == UserCode_TextBox.Password);
                if (user == null)
                {
                    MessageBox.Show("Проверьте введенные данные.");
                }
                else
                {
                    GlobalData.User = user;
                    MessageBox.Show("Вы вошли как " + GlobalData.User.UserName);
                    this.Close();
                }
            }
        }
    }
}
