﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApp21Point.Classes;
using static System.Net.Mime.MediaTypeNames;

namespace WpfApp21Point
{
    /// <summary>
    /// Логика взаимодействия для CardShirtUserControl.xaml
    /// </summary>
    public partial class CardUserControl : UserControl
    {
        public CardUserControl(Card card, string description)
        {
            InitializeComponent();
            SetText(description);
            SetImage(card);
        }

        void SetText(string text)
        {
            Description.Text = text;
        }

        void SetImage(Card card)
        {
            if(card.IsFaceDown)
            {
                string filePath = Environment.CurrentDirectory + @"//Picture//Cards//Рубашка.gif";
                Card.Source = new BitmapImage(new Uri(filePath));
            }
            else
            {
                string filePath = Environment.CurrentDirectory + @"//Picture//Cards//" + card.ShortName + ".gif";
                Card.Source = new BitmapImage(new Uri(filePath));
            }
        }
    }
}
