﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WpfApp21Point.Models;

namespace WpfApp21Point.Classes
{
    public class Card
    {
        private CardSuit suit;
        private CardValue value;
        private Boolean isFaceDown;

        public Card(CardSuit suit, CardValue value, bool isFaceDown)
        {
            this.suit = suit;
            this.value = value;
            this.isFaceDown = isFaceDown;
        }

        public CardSuit Suit { get => suit; }
        public CardValue Value { get => value; }
        public bool IsFaceDown { get => isFaceDown; set => isFaceDown = value; }

        public string ShortName => LetterValue(Value) + " " + Suit.Name;

        public string LetterValue(CardValue value)
        {
            string letter;
            switch (value.Name)
            {
                case "Туз":
                    letter = "Т";
                    break;
                case "Валет":
                    letter = "В";
                    break;
                case "Дама":
                    letter = "Д";
                    break;
                case "Король":
                    letter = "К";
                    break;
                default:
                    letter = value.Name;
                    break;
            }
            return letter;
        }

    }
}
