﻿using System;
using System.Collections.Generic;
using System.Data.Common;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WpfApp21Point.Models;

namespace WpfApp21Point.Classes
{
    public class PackOfCards
    {
        private List<Card> fullPack = new();
        private List<CardSuit> cardSuits = GlobalData.DbConnect.CardSuits.ToList();
        private List<CardValue> cardValues = GlobalData.DbConnect.CardValues.ToList();

        public PackOfCards()
        {
            GenerateFullPack();
            MixPack();
        }

        public List<Card> FullPack => fullPack;

        void GenerateFullPack()
        {
            foreach (var suit in cardSuits) 
            {
                foreach(var value  in cardValues)
                {
                    fullPack.Add(new Card(suit, value, true));
                }
            }
        }

        void MixPack()
        {
            fullPack = fullPack.OrderBy( x => new Random().Next()).ToList();
        }
    }
}
