﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace WpfApp21Point.Models;

public partial class TwentyOnePointsContext : DbContext
{
    public TwentyOnePointsContext()
    {
    }

    public TwentyOnePointsContext(DbContextOptions<TwentyOnePointsContext> options)
        : base(options)
    {
    }

    public virtual DbSet<CardSuit> CardSuits { get; set; }

    public virtual DbSet<CardValue> CardValues { get; set; }

    public virtual DbSet<GameParty> GameParties { get; set; }

    public virtual DbSet<Opponent> Opponents { get; set; }

    public virtual DbSet<User> Users { get; set; }

    protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
#warning To protect potentially sensitive information in your connection string, you should move it out of source code. You can avoid scaffolding the connection string by using the Name= syntax to read it from configuration - see https://go.microsoft.com/fwlink/?linkid=2131148. For more guidance on storing connection strings, see http://go.microsoft.com/fwlink/?LinkId=723263.
        => optionsBuilder.UseNpgsql("Host=ngknn.ru;Port=5442;Database=twenty_one_points;Username=41P;Password=12357;");
/*для игры из колледжа расскоментируйте строку ниже*/
    // => optionsBuilder.UseNpgsql("Host=edu.pg.ngknn.local;Port=5432;Database=provuder_profmaster;Username=41P;Password=12357;");

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<GameParty>(entity =>
        {
            entity.HasIndex(e => e.UserId, "IX_GameParties_UserId");

            entity.Property(e => e.Date).HasColumnType("timestamp without time zone");

            entity.HasOne(d => d.User).WithMany(p => p.GameParties).HasForeignKey(d => d.UserId);
        });

        modelBuilder.Entity<Opponent>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("opponents_pk");

            entity.ToTable("opponents");

            entity.Property(e => e.Id)
                .HasColumnType("character varying")
                .HasColumnName("id");
            entity.Property(e => e.CountWin).HasColumnName("count_win");
            entity.Property(e => e.MinimalProbability).HasColumnName("minimal_probability");
            entity.Property(e => e.Name)
                .HasColumnType("character varying")
                .HasColumnName("name");
            entity.Property(e => e.PathAvatar)
                .HasColumnType("character varying")
                .HasColumnName("path_avatar");
        });

        modelBuilder.Entity<User>(entity =>
        {
            entity.HasIndex(e => e.UserName, "IX_Users_UserName").IsUnique();

            entity.Property(e => e.UserCode).HasDefaultValueSql("''::text");
        });

        OnModelCreatingPartial(modelBuilder);
    }

    partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
}
