﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WpfApp21Point.Classes;
using WpfApp21Point.Models;

namespace WpfApp21Point
{
    /// <summary>
    /// Логика взаимодействия для ResultGameWindow.xaml
    /// </summary>
    public partial class ResultGameWindow : Window
    {

        public ResultGameWindow(GameParty gameParty)
        {
            InitializeComponent();
            DataContext = gameParty;
            if(gameParty.IsWin)
            {
                Result.Text = "Победа";
            }
            else if((gameParty.AmountOfPointsUser > 21 && gameParty.AmountOfPointsOpponent > 21) || gameParty.AmountOfPointsUser == gameParty.AmountOfPointsOpponent)
            {
                Result.Text = "Ничья";
            }
            else
            {
                Result.Text = "Проигрыш";
                Result.Foreground = Brushes.DarkRed;
            }
            if (gameParty.User != null)
            {
                try
                {
                    GlobalData.DbConnect.GameParties.Add(gameParty);
                    GlobalData.DbConnect.SaveChanges();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            GlobalData.MainFrame.Navigate(new StartGamePage());
        }
    }
}
